bucket_operations.h File Reference
`#include "definitions.h"`
`#include "../libUplink.h"`
Include dependency graph for bucket_operations.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

napi_value | stat_bucketc (napi_env env, napi_callback_info info)
| stat_bucket function is called from the javascript file stat_bucket returns information about a bucket. More...
napi_value | create_bucketc (napi_env env, napi_callback_info info)
| stat_bucket function is called from the javascript file create_bucket creates a new bucket. When bucket already exists it returns a valid Bucket and ErrBucketExists. More...
napi_value | ensure_bucketc (napi_env env, napi_callback_info info)
| ensure_bucket function is called from the javascript file ensure_bucket creates a new bucket and ignores the error when it already exists. When bucket already exists it returns a valid Bucket and ErrBucketExists. More...
napi_value | delete_bucketc (napi_env env, napi_callback_info info)
| delete_bucket function is called from the javascript file delete_bucket deletes the bucket. When bucket is not empty it returns ErrBucketNotEmpty. More...

## Function Documentation

## create_bucketc()

napi_value create_bucketc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

stat_bucket function is called from the javascript file create_bucket creates a new bucket. When bucket already exists it returns a valid Bucket and ErrBucketExists.

Here is the call graph for this function:

## delete_bucketc()

napi_value delete_bucketc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

delete_bucket function is called from the javascript file delete_bucket deletes the bucket. When bucket is not empty it returns ErrBucketNotEmpty.

Here is the call graph for this function:

## ensure_bucketc()

napi_value ensure_bucketc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

ensure_bucket function is called from the javascript file ensure_bucket creates a new bucket and ignores the error when it already exists. When bucket already exists it returns a valid Bucket and ErrBucketExists.

Here is the call graph for this function:

## stat_bucketc()

napi_value stat_bucketc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

stat_bucket function is called from the javascript file stat_bucket returns information about a bucket.

Here is the call graph for this function: